Read a proxied zone access policy
import requests
url = "https://platform.ankra.app/api/v1/org/cloud-dns/zones/{zone_id}/access"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/cloud-dns/zones/{zone_id}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/cloud-dns/zones/{zone_id}/access \
--header 'Authorization: Bearer <token>'{
"access": {
"mode": "public",
"roles": [
"<string>"
],
"organisation_id": "<string>",
"inherited_from": "<string>"
}
}DNS
Read a proxied zone access policy
Reads the effective policy for a zone owned by the authenticated organisation’s Cloud account. Requires members.read.
GET
/
api
/
v1
/
org
/
cloud-dns
/
zones
/
{zone_id}
/
access
Read a proxied zone access policy
import requests
url = "https://platform.ankra.app/api/v1/org/cloud-dns/zones/{zone_id}/access"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/cloud-dns/zones/{zone_id}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/cloud-dns/zones/{zone_id}/access \
--header 'Authorization: Bearer <token>'{
"access": {
"mode": "public",
"roles": [
"<string>"
],
"organisation_id": "<string>",
"inherited_from": "<string>"
}
}